<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use UnexpectedValueException;




class PrivacySystemMessage
{
    


    const PRIVACY_SYSTEM_MESSAGE_UNSPECIFIED = 0;
    


    const E2EE_MSG = 1;
    


    const NE2EE_SELF = 2;
    


    const NE2EE_OTHER = 3;

    private static $valueToName = [
        self::PRIVACY_SYSTEM_MESSAGE_UNSPECIFIED => 'PRIVACY_SYSTEM_MESSAGE_UNSPECIFIED',
        self::E2EE_MSG => 'E2EE_MSG',
        self::NE2EE_SELF => 'NE2EE_SELF',
        self::NE2EE_OTHER => 'NE2EE_OTHER',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

